import { RouteProvider, PrefetchConfig } from './declarations';
import { Graph, Period } from '../../common/interfaces';
export interface RuntimeConfig {
    /** @internal */
    base?: string;
    /** @internal */
    prefetchConfig?: PrefetchConfig;
    /** @internal */
    delegate: boolean;
}
export interface GuessPluginConfig {
    GA?: string;
    jwt?: any;
    period?: Period;
    debug?: boolean;
    reportProvider?: (...args: any[]) => Promise<Graph>;
    /** @internal */
    routeProvider?: RouteProvider | boolean;
    /** @internal */
    routeFormatter?: (path: string) => string;
    /** @internal */
    runtime?: RuntimeConfig;
}
export declare class GuessPlugin {
    private _config;
    constructor(_config: GuessPluginConfig);
    apply(compiler: any): void;
    private _execute;
    private _getReport;
    private _executePrefetchPlugin;
}
